Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <UIPMC_Connection_Handler.h>`

Inheritance diagram for TAO_UIPMC_Connection_Handler:

[legend]
Collaboration diagram for TAO_UIPMC_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_UIPMC_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_UIPMC_Connection_Handler (TAO_ORB_Core *orb_core, void *arg)
| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection. More...
| ~TAO_UIPMC_Connection_Handler (void)
| Destructor. More...
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. More...
virtual int | open_server (void)
virtual int | activate (long flags=THR_NEW_LWP, int n_threads=1, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY, int grp_id=-1, ACE_Task_Base *task=0, ACE_hthread_t thread_handles[]=0, void *stack[]=0, size_t stack_size[]=0, ACE_thread_t thread_names[]=0)
| = Active object activation method. More...
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. More...
int | add_transport_to_cache (void)
| Add ourselves to Cache. More...
ACE_HANDLE | get_handle (void) const
const ACE_INET_Addr & | addr (void)
void | addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | local_addr (void)
void | local_addr (const ACE_INET_Addr &addr)
const ACE_INET_Addr & | server_addr (void)
void | server_addr (const ACE_INET_Addr &addr)
const ACE_SOCK_Dgram & | dgram (void)
const ACE_SOCK_Dgram_Mcast & | mcast_dgram (void)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
## Protected Methods
TAO_Connection Handler overloads
void | handle_close_i (void)
virtual int | release_os_resources (void)
## Protected Attributes
ACE_SOCK_Dgram | udp_socket_
| Client side UDP socket (send only). More...
ACE_SOCK_Dgram_Mcast | mcast_socket_
| Server side Mcast UDP socket (receive only). More...
CORBA::Boolean | using_mcast_
| Flag that specifies whether multicast is in use or not. More...
ACE_INET_Addr | addr_
ACE_INET_Addr | local_addr_
## Private Attributes
TAO_UIPMC_Properties * | uipmc_properties_
| UIPMC configuration for this connection. More...

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_UIPMC_Connection_Handler::TAO_UIPMC_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

TAO_UIPMC_Connection_Handler::TAO_UIPMC_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_UIPMC_Connection_Handler::~TAO_UIPMC_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_UIPMC_Connection_Handler::activate | ( | long | flags = THR_NEW_LWP,
|  | int | n_threads = 1,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY,
|  | int | grp_id = -1,
|  | ACE_Task_Base * | task = 0,
|  | ACE_hthread_t | thread_handles[] = 0,
|  | void * | stack[] = 0,
|  | size_t | stack_size[] = 0,
|  | ACE_thread_t | thread_names[] = 0
| ) | `[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_UIPMC_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

void TAO_UIPMC_Connection_Handler::addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_UIPMC_Connection_Handler::addr | ( | void |  | ) |

const ACE_SOCK_Dgram & TAO_UIPMC_Connection_Handler::dgram | ( | void |  | ) |

ACE_HANDLE TAO_UIPMC_Connection_Handler::get_handle | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_UIPMC_Connection_Handler::handle_close | ( | ACE_HANDLE | handle,
|  | ACE_Reactor_Mask | rm
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

void TAO_UIPMC_Connection_Handler::handle_close_i | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::handle_input | ( | ACE_HANDLE | h | ) | `[virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::handle_output | ( | ACE_HANDLE | handle | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

void TAO_UIPMC_Connection_Handler::local_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr & TAO_UIPMC_Connection_Handler::local_addr | ( | void |  | ) |

const ACE_SOCK_Dgram_Mcast & TAO_UIPMC_Connection_Handler::mcast_dgram | ( | void |  | ) |

int TAO_UIPMC_Connection_Handler::open | ( | void * | a | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Task_Base.

int TAO_UIPMC_Connection_Handler::open_server | ( | void |  | ) | `[virtual]`

int TAO_UIPMC_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_UIPMC_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

void TAO_UIPMC_Connection_Handler::server_addr | ( | const ACE_INET_Addr & | addr | ) |

const ACE_INET_Addr& TAO_UIPMC_Connection_Handler::server_addr | ( | void |  | ) |

int TAO_UIPMC_Connection_Handler::svc | ( | void |  | ) | `[virtual]`

| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

## Member Data Documentation

ACE_INET_Addr TAO_UIPMC_Connection_Handler::addr_`[protected]`

ACE_INET_Addr TAO_UIPMC_Connection_Handler::local_addr_`[protected]`

ACE_SOCK_Dgram_Mcast TAO_UIPMC_Connection_Handler::mcast_socket_`[protected]`

| Server side Mcast UDP socket (receive only).

ACE_SOCK_Dgram TAO_UIPMC_Connection_Handler::udp_socket_`[protected]`

| Client side UDP socket (send only).

TAO_UIPMC_Properties* TAO_UIPMC_Connection_Handler::uipmc_properties_`[private]`

| UIPMC configuration for this connection.

CORBA::Boolean TAO_UIPMC_Connection_Handler::using_mcast_`[protected]`

| Flag that specifies whether multicast is in use or not.

The documentation for this class was generated from the following files:

- UIPMC_Connection_Handler.h
- UIPMC_Connection_Handler.cpp